Bug 79898 - perf-o-matic should incrementally update JSON responses
Summary: perf-o-matic should incrementally update JSON responses
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Website (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ryosuke Niwa
URL:
Keywords:
Depends on: 80364
Blocks: 77037
  Show dependency treegraph
 
Reported: 2012-02-29 02:04 PST by Ryosuke Niwa
Modified: 2012-03-08 14:58 PST (History)
3 users (show)

See Also:


Attachments
Patch (18.00 KB, patch)
2012-02-29 02:11 PST, Ryosuke Niwa
eric: review+
Details | Formatted Diff | Diff
Second attempt (12.88 KB, patch)
2012-03-08 01:28 PST, Ryosuke Niwa
eric: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryosuke Niwa 2012-02-29 02:04:17 PST
We're running out of quota on the app engine because of the front-end time. As far as I understand, we're spending ridiculous amount of time iterating through all test result objects to generate "runs" JSON responses. We should do this incrementally instead.
Comment 1 Ryosuke Niwa 2012-02-29 02:11:49 PST
Created attachment 129421 [details]
Patch
Comment 2 Ryosuke Niwa 2012-02-29 14:24:30 PST
Apparently, this isn't much of an issue after some investigation. The biggest cause of the huge frontend hours appears to be coming from the dashboard, which ends up loading a whole dozens of files in each of 132 iframes...
Comment 3 Eric Seidel (no email) 2012-03-01 13:51:38 PST
Comment on attachment 129421 [details]
Patch

OK.
Comment 4 Ryosuke Niwa 2012-03-05 12:23:17 PST
I just realized that this may cause the values in JSON to get progressively worse since I'm doing string > float > string conversion on each run :(
Comment 5 Ryosuke Niwa 2012-03-08 01:28:26 PST
Created attachment 130793 [details]
Second attempt
Comment 6 Eric Seidel (no email) 2012-03-08 13:38:23 PST
Comment on attachment 130793 [details]
Second attempt

OK.
Comment 7 Ryosuke Niwa 2012-03-08 14:58:58 PST
Committed r110210: <http://trac.webkit.org/changeset/110210>